<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
Transaction Members
Transaction Class Methods Fields Properties See Also Send Feedback

The Transaction type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Abort | Cause an abnormal termination of the transaction.

Commit

Overloaded.

In the case of nested transactions, if the transaction is a parent transaction, committing the parent transaction causes all unresolved children of the parent to be committed. In the case of nested transactions, if the transaction is a child transaction, its locks are not released, but are acquired by its parent. Although the commit of the child transaction will succeed, the actual resolution of the child transaction is postponed until the parent transaction is committed or aborted; that is, if its parent transaction commits, it will be committed; and if its parent transaction aborts, it will be aborted.

All cursors opened within the transaction must be closed before the transaction is committed. If there are cursor handles open when this method is called, they are all closed inside this method. And if there are errors when closing the cursor handles, the transaction is aborted and the first such error is returned.

| Discard | Free up all the per-process resources associated with the specified Transaction instance, neither committing nor aborting the transaction.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| Prepare | Initiate the beginning of a two-phase commit.
| SetLockTimeout | Set the timeout value for locks for this transaction.
| SetTxnTimeout | Set the timeout value for transactions for this transaction.
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| GlobalIdLength | The size of the global transaction ID

# Properties

| Name | Description
--- | --- | ---
| CommitToken | The commit token generated at the commit time of this transaction. This operation can only be performed after this transaction has committed.
| Id | The unique transaction id associated with this transaction.
| Name | The transaction's name. The name is returned by TransactionSystemStats()()() and displayed by PrintTransactionSystemStats()()().
| Priority | The deadlock priority for this transaction. The deadlock detector will reject lock requests from lower priority transactions before those from higher priority transactions.

# See Also

Transaction Class
BerkeleyDB Namespace